Update a brand kit
curl --request PUT \
--url https://api.motion.so/api/motion/brand-kits/{brand_kit_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"definition": {
"version": 1,
"name": "Acme",
"sections": [
{
"id": "4f20dcdd-f63b-4898-97d6-2e05c0d37c78",
"title": "Product launch"
}
]
},
"updated_at": "2026-11-17T20:00:00Z"
}
'import requests
url = "https://api.motion.so/api/motion/brand-kits/{brand_kit_id}"
payload = {
"definition": {
"version": 1,
"name": "Acme",
"sections": [
{
"id": "4f20dcdd-f63b-4898-97d6-2e05c0d37c78",
"title": "Product launch"
}
]
},
"updated_at": "2026-11-17T20:00:00Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
definition: {
version: 1,
name: 'Acme',
sections: [{id: '4f20dcdd-f63b-4898-97d6-2e05c0d37c78', title: 'Product launch'}]
},
updated_at: '2026-11-17T20:00:00Z'
})
};
fetch('https://api.motion.so/api/motion/brand-kits/{brand_kit_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.motion.so/api/motion/brand-kits/{brand_kit_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'definition' => [
'version' => 1,
'name' => 'Acme',
'sections' => [
[
'id' => '4f20dcdd-f63b-4898-97d6-2e05c0d37c78',
'title' => 'Product launch'
]
]
],
'updated_at' => '2026-11-17T20:00:00Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.motion.so/api/motion/brand-kits/{brand_kit_id}"
payload := strings.NewReader("{\n \"definition\": {\n \"version\": 1,\n \"name\": \"Acme\",\n \"sections\": [\n {\n \"id\": \"4f20dcdd-f63b-4898-97d6-2e05c0d37c78\",\n \"title\": \"Product launch\"\n }\n ]\n },\n \"updated_at\": \"2026-11-17T20:00:00Z\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.motion.so/api/motion/brand-kits/{brand_kit_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"definition\": {\n \"version\": 1,\n \"name\": \"Acme\",\n \"sections\": [\n {\n \"id\": \"4f20dcdd-f63b-4898-97d6-2e05c0d37c78\",\n \"title\": \"Product launch\"\n }\n ]\n },\n \"updated_at\": \"2026-11-17T20:00:00Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.motion.so/api/motion/brand-kits/{brand_kit_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"definition\": {\n \"version\": 1,\n \"name\": \"Acme\",\n \"sections\": [\n {\n \"id\": \"4f20dcdd-f63b-4898-97d6-2e05c0d37c78\",\n \"title\": \"Product launch\"\n }\n ]\n },\n \"updated_at\": \"2026-11-17T20:00:00Z\"\n}"
response = http.request(request)
puts response.read_body{
"kit": {
"id": "4f20dcdd-f63b-4898-97d6-2e05c0d37c78",
"definition": {
"version": 1,
"name": "Acme",
"sections": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "Voice",
"text": "Clear, concise and confident.",
"assets": []
}
]
},
"updated_at": "2026-11-17T20:00:00Z"
}
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}Brand kits
Update a brand kit
Update a brand kit. Supply its current updated_at.
PUT
/
brand-kits
/
{brand_kit_id}
Update a brand kit
curl --request PUT \
--url https://api.motion.so/api/motion/brand-kits/{brand_kit_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"definition": {
"version": 1,
"name": "Acme",
"sections": [
{
"id": "4f20dcdd-f63b-4898-97d6-2e05c0d37c78",
"title": "Product launch"
}
]
},
"updated_at": "2026-11-17T20:00:00Z"
}
'import requests
url = "https://api.motion.so/api/motion/brand-kits/{brand_kit_id}"
payload = {
"definition": {
"version": 1,
"name": "Acme",
"sections": [
{
"id": "4f20dcdd-f63b-4898-97d6-2e05c0d37c78",
"title": "Product launch"
}
]
},
"updated_at": "2026-11-17T20:00:00Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
definition: {
version: 1,
name: 'Acme',
sections: [{id: '4f20dcdd-f63b-4898-97d6-2e05c0d37c78', title: 'Product launch'}]
},
updated_at: '2026-11-17T20:00:00Z'
})
};
fetch('https://api.motion.so/api/motion/brand-kits/{brand_kit_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.motion.so/api/motion/brand-kits/{brand_kit_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'definition' => [
'version' => 1,
'name' => 'Acme',
'sections' => [
[
'id' => '4f20dcdd-f63b-4898-97d6-2e05c0d37c78',
'title' => 'Product launch'
]
]
],
'updated_at' => '2026-11-17T20:00:00Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.motion.so/api/motion/brand-kits/{brand_kit_id}"
payload := strings.NewReader("{\n \"definition\": {\n \"version\": 1,\n \"name\": \"Acme\",\n \"sections\": [\n {\n \"id\": \"4f20dcdd-f63b-4898-97d6-2e05c0d37c78\",\n \"title\": \"Product launch\"\n }\n ]\n },\n \"updated_at\": \"2026-11-17T20:00:00Z\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.motion.so/api/motion/brand-kits/{brand_kit_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"definition\": {\n \"version\": 1,\n \"name\": \"Acme\",\n \"sections\": [\n {\n \"id\": \"4f20dcdd-f63b-4898-97d6-2e05c0d37c78\",\n \"title\": \"Product launch\"\n }\n ]\n },\n \"updated_at\": \"2026-11-17T20:00:00Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.motion.so/api/motion/brand-kits/{brand_kit_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"definition\": {\n \"version\": 1,\n \"name\": \"Acme\",\n \"sections\": [\n {\n \"id\": \"4f20dcdd-f63b-4898-97d6-2e05c0d37c78\",\n \"title\": \"Product launch\"\n }\n ]\n },\n \"updated_at\": \"2026-11-17T20:00:00Z\"\n}"
response = http.request(request)
puts response.read_body{
"kit": {
"id": "4f20dcdd-f63b-4898-97d6-2e05c0d37c78",
"definition": {
"version": 1,
"name": "Acme",
"sections": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "Voice",
"text": "Clear, concise and confident.",
"assets": []
}
]
},
"updated_at": "2026-11-17T20:00:00Z"
}
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}Authorizations
MotionApiKeyMotionOAuth
Body
application/json
Was this page helpful?